summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2013-07-27 11:16:48 +0000
committerMichał Górny <mgorny@gentoo.org>2013-07-27 11:16:48 +0000
commitcfc9f2ca3f2f25aa50a784df6e137d54aea1b9d6 (patch)
tree00904897ebd76ab84edb07fd2db26ba8fc47b233 /eclass/python-any-r1.eclass
parentRevbump providing preliminary systemd support (diff)
downloadgentoo-2-cfc9f2ca3f2f25aa50a784df6e137d54aea1b9d6.tar.gz
gentoo-2-cfc9f2ca3f2f25aa50a784df6e137d54aea1b9d6.tar.bz2
gentoo-2-cfc9f2ca3f2f25aa50a784df6e137d54aea1b9d6.zip
Use PYTHON_PKG_DEP for generating deps.
Diffstat (limited to 'eclass/python-any-r1.eclass')
-rw-r--r--eclass/python-any-r1.eclass24
1 files changed, 6 insertions, 18 deletions
diff --git a/eclass/python-any-r1.eclass b/eclass/python-any-r1.eclass
index 087efb27a431..cd586d47f8d4 100644
--- a/eclass/python-any-r1.eclass
+++ b/eclass/python-any-r1.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/python-any-r1.eclass,v 1.11 2013/05/10 22:03:30 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/python-any-r1.eclass,v 1.12 2013/07/27 11:16:48 mgorny Exp $
# @ECLASS: python-any-r1
# @MAINTAINER:
@@ -118,25 +118,13 @@ _python_build_set_globals() {
[[ ${PYTHON_REQ_USE} ]] && usestr="[${PYTHON_REQ_USE}]"
PYTHON_DEPS=
- local i
+ local i PYTHON_PKG_DEP
for i in "${_PYTHON_ALL_IMPLS[@]}"; do
- if has "${i}" "${PYTHON_COMPAT[@]}"
- then
- local d
- case ${i} in
- python*)
- d='dev-lang/python';;
- jython*)
- d='dev-java/jython';;
- pypy*)
- d='dev-python/pypy';;
- *)
- die "Invalid implementation: ${i}"
- esac
+ has "${i}" "${PYTHON_COMPAT[@]}" || continue
- local v=${i##*[a-z]}
- PYTHON_DEPS="${d}:${v/_/.}${usestr} ${PYTHON_DEPS}"
- fi
+ python_export "${i}" PYTHON_PKG_DEP
+
+ PYTHON_DEPS="${PYTHON_PKG_DEP} ${PYTHON_DEPS}"
done
PYTHON_DEPS="|| ( ${PYTHON_DEPS})"
}